react脚手架在vscode编辑器中报错Using `babel-preset-react-app` requires that you specify `NODE_ENV` or `BABEL_ENV` environment variables

例如在app.js文件中的第一行import下面提示红色波浪线

错误提示为:Parsing error: [BABEL] …/src/App.js: Using `babel-preset-react-app` requires that you specify `NODE_ENV` or `BABEL_ENV` environment variables. Valid values are “development”, “test”, and “production”. Instead, received: undefined. (While processing: “…/node_modules/babel-preset-react-app/index.js”)eslint

原因:由 vscode 的 eslint 扩展插件启动的服务时,没有为其注入 BABEL_ENV 或 NODE_ENV。 导致 eslint 所使用的 babel-preset-react-app 解析器中 env 为 undefined 导致。

解决办法:
在vscode的配置文件setting.json中添加一行”eslint.nodeEnv”: “development”
重启

本站文章如未注明均为原创 | 文章作者:刘晓帆 | 转载请注明来自:前端印象

发表评论

邮箱地址不会被公开。 必填项已用*标注

浏览量:474 次浏览